Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class ListenerCollection

    java.lang.Object
      edu.stanford.smi.protege.util.ListenerCollection

Direct Known Subclasses:
  ListenerList, ListenerMap

    public abstract class ListenerCollection

extends Object

Base class for collections of listeners. This class has helper methods for posting events. The actual dispatching of events is handled by the `EventDispatcher`implementation.

Author:
  Ray Fergerson

Constructor Summary
`protected` | `ListenerCollection(EventDispatcher dispatcher)`

Method Summary
`void` | `add(Object source, EventListener listener)`
`static boolean` | `equals(Object o1, Object o2)`
`abstract Collection` | `getListeners(Object source)`
`abstract Collection` | `getSources()`
`abstract boolean` | `hasListeners(Object source)`
`protected abstract boolean` | `isPosting(Object source)`
`boolean` | `isPostingEnabled()`
`void` | `postEvent(Object source, int type)`
`void` | `postEvent(Object source, int type, Object arg1)`
`void` | `postEvent(Object source, int type, Object arg1, Object arg2)`
`void` | `postEvent(Object source, int type, Object arg1, Object arg2, Object arg3)`
`void` | `remove(Object source, EventListener listener)`
`abstract void` | `removeAllListeners(Object source)`
`protected abstract void` | `saveListeners(Object source, Collection listeners)`
`protected abstract void` | `setFinishPosting(Object source)`
`boolean` | `setPostingEnabled(boolean postingEnabled)`
`protected abstract boolean` | `setStartPosting(Object source)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListenerCollection

    protected ListenerCollection(EventDispatcher dispatcher)

Method Detail

### add

    public void add(Object source,
                    EventListener listener)

### getListeners

    public abstract Collection getListeners(Object source)

### getSources

    public abstract Collection getSources()

### hasListeners

    public abstract boolean hasListeners(Object source)

### isPosting

    protected abstract boolean isPosting(Object source)

### isPostingEnabled

    public boolean isPostingEnabled()

### postEvent

    public void postEvent(Object source,
                          int type)

### postEvent

    public void postEvent(Object source,
                          int type,
                          Object arg1)

### postEvent

    public void postEvent(Object source,
                          int type,
                          Object arg1,
                          Object arg2)

### postEvent

    public void postEvent(Object source,
                          int type,
                          Object arg1,
                          Object arg2,
                          Object arg3)

### remove

    public void remove(Object source,
                       EventListener listener)

### removeAllListeners

    public abstract void removeAllListeners(Object source)

### saveListeners

    protected abstract void saveListeners(Object source,
                                          Collection listeners)

### setFinishPosting

    protected abstract void setFinishPosting(Object source)

### setPostingEnabled

    public boolean setPostingEnabled(boolean postingEnabled)

### setStartPosting

    protected abstract boolean setStartPosting(Object source)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public static boolean equals(Object o1,
                                 Object o2)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.